Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Interface HasKeyProvider<T>

Type Parameters:
  `T` - the data type

All Known Implementing Classes:
  AbstractCellTable, AbstractHasData, ButtonBase, CellList, CellTable, CellWidget, DataGrid, TextButton

    public interface HasKeyProvider<T>

Interface for classes that have a `ProvidesKey`. Must be implemented by `Cell` containers.

Method Summary
`ProvidesKey<T>` | `getKeyProvider()` Return the key provider.

Method Detail

### getKeyProvider

    ProvidesKey<T> getKeyProvider()

  Return the key provider.

  Returns:
    the `ProvidesKey` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD